haskell-src-exts-1.14.0.1: Manipulating Haskell source: abstract syntax, lexer, parser, and pretty-printer

Safe Haskell | Safe-Inferred
Language | Haskell98

Language.Haskell.Exts.Comments

Synopsis

- data Comment = Comment Bool SrcSpan String

# Documentation

data Comment

A Haskell comment. The `Bool` is `True` if the comment is multi-line, i.e. `{- -}`.

Constructors

Comment Bool SrcSpan String |

Instances

Eq Comment |
Data Comment |
Show Comment |
Typeable * Comment |